### Function

# Gcr Pkcs11Certificate lookup_issuer_finish

#### Declaration [src]

    GcrCertificate*
    gcr_pkcs11_certificate_lookup_issuer_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an asynchronous operation started by `gcr_pkcs11_certificate_lookup_issuer_async()`.

Will return `NULL` if no issuer certificate is found. Use `error` to determine if an error occurred.

#### Parameters

`result`

  Type: `GAsyncResult`

  The `GAsyncResult` passed to the callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GcrCertificate`

A new `GcrPkcs11Certificate`, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.